com.pixelmed.convert

## Class AnalyzeHeader

- java.lang.Object
- - com.pixelmed.convert.AnalyzeHeader

-     public class AnalyzeHeader
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `aux_file`
    `boolean` | `bigEndian`
    `short` | `bitpix`
    `byte[]` | `bytes`
    `float` | `cal_max`
    `float` | `cal_min`
    `float` | `compressed`
    `com.pixelmed.convert.AnalyzeHeader.DataType` | `datatype`
    `short` | `datatype_code`
    `byte[]` | `description`
    `short[]` | `dim`
    `short` | `dim_un0`
    `byte[]` | `exp_date`
    `byte[]` | `exp_time`
    `int` | `field_skip`
    `static int` | `FIXED_HEADER_LENGTH`
    `float` | `funused1`
    `float` | `funused2`
    `float` | `funused3`
    `byte[]` | `generated`
    `int` | `glmax`
    `int` | `glmin`
    `byte[]` | `hist_un0`
    `int` | `omax`
    `int` | `omin`
    `com.pixelmed.convert.AnalyzeHeader.Orient` | `orient`
    `byte` | `orient_code`
    `byte[]` | `originator`
    `byte[]` | `patient_id`
    `float[]` | `pixdim`
    `byte[]` | `scannum`
    `int` | `sizeof_hdr`
    `int` | `smax`
    `int` | `smin`
    `int` | `start_field`
    `short` | `unused10`
    `short` | `unused11`
    `short` | `unused12`
    `short` | `unused13`
    `short` | `unused14`
    `short` | `unused8`
    `short` | `unused9`
    `float` | `verified`
    `int` | `views`
    `int` | `vols_added`
    `float` | `vox_offset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyzeHeader(java.io.File inputFile)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.io.File` | `getImageDataFile(java.io.File headerFile)`
    `static void` | `main(java.lang.String[] arg)` Read an Analyze image input format files and dump header.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIXED_HEADER_LENGTH

          public static final int FIXED_HEADER_LENGTH

      See Also:
        Constant Field Values

    - #### bytes

          public byte[] bytes

    - #### bigEndian

          public boolean bigEndian

    - #### sizeof_hdr

          public int sizeof_hdr

    - #### dim

          public short[] dim

    - #### unused8

          public short unused8

    - #### unused9

          public short unused9

    - #### unused10

          public short unused10

    - #### unused11

          public short unused11

    - #### unused12

          public short unused12

    - #### unused13

          public short unused13

    - #### unused14

          public short unused14

    - #### datatype_code

          public short datatype_code

    - #### datatype

          public com.pixelmed.convert.AnalyzeHeader.DataType datatype

    - #### bitpix

          public short bitpix

    - #### dim_un0

          public short dim_un0

    - #### pixdim

          public float[] pixdim

    - #### vox_offset

          public float vox_offset

    - #### funused1

          public float funused1

    - #### funused2

          public float funused2

    - #### funused3

          public float funused3

    - #### cal_max

          public float cal_max

    - #### cal_min

          public float cal_min

    - #### compressed

          public float compressed

    - #### verified

          public float verified

    - #### glmax

          public int glmax

    - #### glmin

          public int glmin

    - #### description

          public byte[] description

    - #### aux_file

          public byte[] aux_file

    - #### orient_code

          public byte orient_code

    - #### orient

          public com.pixelmed.convert.AnalyzeHeader.Orient orient

    - #### originator

          public byte[] originator

    - #### generated

          public byte[] generated

    - #### scannum

          public byte[] scannum

    - #### patient_id

          public byte[] patient_id

    - #### exp_date

          public byte[] exp_date

    - #### exp_time

          public byte[] exp_time

    - #### hist_un0

          public byte[] hist_un0

    - #### views

          public int views

    - #### vols_added

          public int vols_added

    - #### start_field

          public int start_field

    - #### field_skip

          public int field_skip

    - #### omax

          public int omax

    - #### omin

          public int omin

    - #### smax

          public int smax

    - #### smin

          public int smin

  - ### Constructor Detail

    - #### AnalyzeHeader

          public AnalyzeHeader(java.io.File inputFile)
                        throws java.io.IOException,
                               AnalyzeException

      Throws:
        `java.io.IOException`
        `AnalyzeException`

  - ### Method Detail

    - #### getImageDataFile

          public static java.io.File getImageDataFile(java.io.File headerFile)

    - #### main

          public static void main(java.lang.String[] arg)

      Read an Analyze image input format files and dump header.

      Parameters:
        `arg` - the inputFile,